"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable @typescript-eslint/no-use-before-define */
const react_native_1 = require("react-native");
const { Netify } = react_native_1.NativeModules;
const defaultConfig = {
    timeout: 60,
};
function init(params) {
    Netify.init(Object.assign(Object.assign({}, defaultConfig), params));
}
async function jsonRequest(params) {
    try {
        let { url } = params;
        url = url.replace(/([^:])(\/\/+)/g, '$1/');
        const response = await Netify.jsonRequest(Object.assign(Object.assign({}, params), { url }));
        return response;
    }
    catch (error) {
        const { userInfo } = error;
        if (userInfo) {
            const { response } = userInfo;
            error.response = response;
            throw error;
        }
        throw error;
    }
}
exports.default = {
    init,
    jsonRequest,
};
//# sourceMappingURL=index.js.map